Get Compliance Audit For A Domain

Get Compliance Audit For A Domain
Get compliance audit for a domain

Get compliance audit for a domain

Request
URI
GET
https://{api_host}/v1/domains/{id}/compliance-audits/{complianceAuditId}
COPY
Path Parameters
string
id
Required  

Domain ID

string
complianceAuditId
Required  

Compliance Audit ID


Responses
200

OK

Returns ComplianceAudit of type(s) application/json
{
    "id": "string",
    "creationTimestamp": "string",
    "completionTimestamp": "string",
    "standardType": "One among: PCI",
    "standardVersion": "string",
    "domainId": "string",
    "configurationEvaluationStatus": "One among: ALL_EVALUATED, SOME_EVALUATED, NONE_EVALUATED, UNKNOWN",
    "configurationEvaluationStatusDetails": "string",
    "compliantStatus": "One among: COMPLIANT, NON_COMPLIANT, PARTIALLY_COMPLIANT, UNKNOWN",
    "totalConfigurationsEvaluated": 0,
    "numberOfNonCompliantConfigurations": 0,
    "numberOfSkippedConfigurations": 0,
    "numberOfAuditItems": 0,
    "auditItems": [
        {
            "resourceType": "One among: SDDC_MANAGER",
            "resourceVersion": "string",
            "resourceName": "string",
            "configurationId": "string",
            "configurationTitle": "string",
            "isConfigurationRecommendedByStandard": false,
            "citationReference": "string",
            "recommendedValue": "string",
            "actualValue": "string",
            "complianceStatus": "One among: COMPLIANT, NON_COMPLIANT, PARTIALLY_COMPLIANT, UNKNOWN",
            "remediationStep": "string",
            "complianceAuditStatus": "One among: SUCCEEDED, FAILED, NOT_SUPPORTED",
            "errorMessage": "string"
        }
    ]
}
string
id
Read-Only  

Compliance audit id

string
creationTimestamp
Read-Only  

The timestamp at which audit was initiated

string
completionTimestamp
Read-Only  

The timestamp at which audit was completed

string
standardType
Read-Only  

Compliance standard type

string
standardVersion
Read-Only  

Compliance standard version

string
domainId
Read-Only  

Domain id

string
configurationEvaluationStatus
Read-Only  

Configuration evaluation status

string
configurationEvaluationStatusDetails
Read-Only  

Details about evaluation status

string
compliantStatus
Read-Only  

Compliant status of overall task

integer As int32 As int32
totalConfigurationsEvaluated
Read-Only  

Total number of configurations evaluated

integer As int32 As int32
numberOfNonCompliantConfigurations
Read-Only  

Number of non compliant configurations

integer As int32 As int32
numberOfSkippedConfigurations
Read-Only  

Number of configurations skipped

integer As int32 As int32
numberOfAuditItems
Read-Only  

Number of audit items

array of object
auditItems
Optional

Compliance audit items


401

Unauthorized Request

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


404

Not Found

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/domains/{id}/compliance-audits/{complianceAuditId}